#!/usr/bin/perl

# Version/Other: 3.26
# Licensed to: Robert R FLower
# Downloaded on: 8/21/00, 9:11 p.m.
# IP Address: 24.64.143.114
# Session: JvNsWNqK


#############################################
#                                           #
#                                           #
#        Home Free 3.26             #
#        Solution Scripts                   #
#        Copyright 1997-2000                #
#        http://solutionscripts.com         #
#                                           #
#                                           #
# Using, selling, distrubiting the code for #
# this program without prior written        #
# consent is expressly forbidden. In all    #
# cases all copyrights and downoad stamps   #
# MUST remain intact. Lots of time and      #
# energy has go into the creation of this   #
# program, please respect our work. Thanks  #
#                                           #
#                                           #
#############################################


$|=1;

BEGIN {
	($0 =~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");
	($0 =~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");
}

require "variables.pl";
require "dblib.pl";
require "adminlib.pl";
require "dem_data.pl";
require "header_footer.pl";

@colors=("#e1e1e1","#ededed");
$time = time;
&initalize;

## SET PAGES,DIRECTORIES USER CAN NOT EDIT OR SEE ##
%bad_files = ("guestbook.html","bad","gbook.dat","bad",".quota","bad");
%bad_dirs = ("wwwboard","bad","_data","bad");

## SET GOOD FILE TYPES AND WHAT THEY ARE ##
%good_types = (".htm","html",".html","html",".gif","image",".jpg","image",".jpeg","image",".txt","text");
## VERIFY THE FILE IS WHAT IT SAYS IT IS ##
%verify_types = (".gif","GIF",".jpg","JFIF",".jpeg","JFIF",".zip","pk");



if ($INPUT{'action'} eq "update") { &update; }
elsif ($INPUT{'update_it'}) { &update_it; }
elsif ($INPUT{'action'} eq "search") { &browse_final; }
elsif ($INPUT{'action'} eq "onhold_remove") { &onhold_remove; }
elsif ($INPUT{'action'} eq "onhold") { &onhold; }
elsif ($INPUT{'view_account'}) { &view_account; }
elsif ($INPUT{'view_final'}) { &view_final; }
elsif ($INPUT{'browse_final'}) { &browse_final; }

&print_login;
&Footer;


########## UPDATE INTERFACE ##########
sub update {

unless (($access_level =~ /ALL ACCESS/) || ($access_level =~ /html/)) { &unauth; }

&Header(4);

print <<EOF;
<FORM METHOD=POST ACTION="$cgiurl" name="address">
<input type="Hidden" name="username" value="$username">
<TABLE border=1 cellpadding=3 cellspacing=0 width=90% align=center>

<TR bgcolor=$colors[0]><TD valign=top><NOBR>$css_font Accounts that begin with the letter/number:</NOBR>
</TD><TD width=50%><SELECT name=letters multiple size=6>
<OPTION value="ALL" Selected>All Letters
EOF
foreach $ch(@char_set) {
	print "<OPTION VALUE=\"$ch\">$ch\n";
}
print <<EOF;
</SELECT></TD></TR>
<TR bgcolor=$colors[0]><TD valign=top><NOBR>$css_font Categories:</NOBR>
</TD><TD width=50%><SELECT name=cata multiple size=6>
<OPTION value="_all_" Selected>All Categories
<OPTION value="accounts">Base Directory
EOF

%cata_list = &Account::get_cata_hash;

while ( ($key, $value) = each(%cata_list) ) {
	print "<OPTION VALUE=\"$key\">$key\n";
}

print <<EOF;
</SELECT></TD></TR>
<TR bgcolor=$colors[0]>
<TD valign=top>
$css_font
# Accounts per page:
</TD><TD>
<input type="Text" name="num_show" value="25" size="3">
<input type="Hidden" name="num_start" value="1">
</TD>


<TR bgcolor=$colors[0]><TD colspan=2 align=center><INPUT TYPE=SUBMIT NAME="update_it" value=" Update Accounts "></TD></TR>
</TABLE>
</FORM>
EOF
&Footer;
exit;
}

############ UPDATE IT ##########
sub update_it {

unless (($access_level =~ /ALL ACCESS/) || ($access_level =~ /html/)) { &unauth; }
if ($INPUT{'username'} eq "demo") { &unauth; }

while ( ($name, $value) = each(%INPUT) ) {
	unless (($name eq "browse_final") || ($name eq "update_it") || ($name eq "action")) {
		$string .= "\&$name\=$value";
	}
}
&Header(4);

print <<EOF;

<SCRIPT>
<!--

update = window.open('$files::update?action=search$string','delete','toolbar=no,location=no,directories=no,status=no,width=300,height=150');

//-->
</SCRIPT>
<TABLE width=450>
<TR><TD>
<FONT FACE=arial size=-1>
A window is not being opened to update the headers and footers on accounts.
<BR><BR>
If the window does not automatically open, please 
<A HREF="javascript:void(0);" onClick="window.open('$files::update?action=search$string')";><B>click here</B></A>
<BR><BR>
Once the new window is open, do not close it until the window displays <B>done</B>
or all the accounts may not be updated.
<BR><BR>
You may do whatever you like within this window.
<BR><BR>
</TD></TR></tABLE>

EOF

&Footer;
exit;

}

######### BROSWE IT ##########
sub browse_final {

unless (($access_level =~ /ALL ACCESS/) || ($access_level =~ /html/)) { &unauth; }
if ($INPUT{'username'} eq "demo") { &unauth; }

$num_total = 0;
$shown=0;
$shown=$shown + $INPUT{'num_start'};
$num_show = $INPUT{'num_show'} + $INPUT{'num_start'};


%cata_list = &Account::get_cata_hash;
$cata_list{'accounts'} = "0\|";;

@selcata = split(/\,/,$INPUT{'cata'});

foreach $ssel(@selcata) {
	$print_cata{$ssel} = 1;
}

while ( ($key, $value) = each(%cata_list) ) {

	## CATA SLECT ##
	unless ($print_cata{'_all_'}) {
		unless ($print_cata{$key}) { 
			next;
		}
	}

	### GET CATA INFO ##
	@abbo = split(/\|/,$value);

	$file_header = $abbo[3];
	$file_footer = $abbo[4];
	
	unless ($file_header) { $file_header="header_html.txt"; }
	unless ($file_footer) { $file_footer="footer_html.txt"; }

	$head='';
	$foot='';

	undef $/;
	if ($file_header) {
		open (HEAD, "$main::path/$file_header");
		$head = <HEAD>;
		close (HEAD);
	
		unless ($file_header eq "header_html.txt") {
			$head =~ s/.*\n//;
		}
	}

	if ($file_footer) {
		open (HEAD, "$main::path/$file_footer");
		$foot = <HEAD>;
		close (HEAD);

		unless ($file_footer eq "footer_html.txt") {
			$foot =~ s/.*\n//;
		}
	}
	$/="\n";


#	print "<BR><BR>$key - $file_header - $file_footer <BR><BR>";

	undef %acc_list;
	undef @html;
	undef %sort;
	undef %content;
	undef %hf;
		
	%acc_list = &Account::get_acc_hash($key);
	$a=0;
	while ( ($akey, $avalue) = each(%acc_list) ) {
		@acco = split(/\|/,$avalue);
		
		my @accarray = split(//,$akey);
		## LETTER SELECT ##
		unless ($INPUT{'letters'} =~ /ALL/) {
			unless ($INPUT{'letters'} =~ /$accarray[0]/) { 
				next;
			}
		}
				
		$sort{$akey} = $akey;
		unless ($acco[7]) { $acco[7] = "on"; }
		$hf{$akey} = $acco[7];
		if ($abbo[0]) {
			$content{$akey} = "$free_path/$abbo[0]/$akey";
		}
		else {
			$content{$akey} = "$free_path/$akey";
		}			
		
		$a++;	

	}

	$atleastone = 0;

	foreach $pkey (sort_hasp(\%sort)) {
	
		$num_total++;
		$atleastone = 1;

		if (($num_total >= $INPUT{'num_start'}) && ($shown < $num_show)) {

			
			&dir_lists($content{$pkey});
			$shown++;
		}

	}


}

$INPUT{'num_files'} += $num_files;




while ( ($name, $value) = each(%INPUT) ) {
	unless (($name eq "num_start") || ($name eq "browse_final") || ($name eq "action")) {
		$string .= "\&$name\=$value";
	}
}

$min = $INPUT{'num_start'} + $INPUT{'num_show'};
$snum_show = $num_show-1;
$num_left = $num_total - $snum_show;

if ($min < $num_total) {

print <<EOF;
<HTML><HEAD>
<meta http-equiv="Refresh" content="2; URL=$files::update?action=search$string&num_start=$min">
<TITLE>Updating..... please wait....</TITLE>
<HEAD>
<BODY>
<FONT FACE=arial size=-1><B>
Please wait while we update the next 
<font color=red>$INPUT{'num_show'}</FONT> accounts.....
<BR><BR>
Updated 
<font color=red>$snum_show</FONT> of 
<font color=red>$num_total</FONT> accounts<BR>
with 
<font color=red>$num_left</FONT> still to update.
<BR><BR>
A total of 
<font color=red>$INPUT{'num_files'}</FONT> files have been updated so far
EOF

}
else {
print <<EOF;
<HTML><HEAD><TITLE>
Done Updating</TITLE>
</HEAD>
<BODY vlink=blue>
<FONT FACE=arial size=-1><B>
Done updating 
<font color=red>$num_total</FONT> accounts.<BR><BR>
In all 
<font color=red>$INPUT{'num_files'}</FONT> files were updated
<BR><BR>
<A HREF="#" onClick="window.close()";><B>Close Window</B></A></BODY></HTML>
EOF
}

exit;
}


########### DO THE ADDING HEADERS #########
sub dir_lists {

my $direc = $_[0];
my (@dirs,$new_dir);

opendir(DIR,$direc);
@dirs = grep {!(/^\./) && -d "$direc/$_" } readdir(DIR);
close DIR;

opendir (DIR, "$direc");
@files = grep {!(/^\./) && -f "$direc/$_"}  readdir(DIR);
close (DIR); 

foreach $file(@files) {
	@a=split(/\\/,$file);
	$alen = push(@a);
	$alen = $alen -1;
	$fils = $a[$alen];
	@filen=split(/\./,$fils);
	$ext = "." . $filen[1];
	$ext = "\L$ext\E";
	
	if ($good_types{$ext} eq "html") {

	$num_files++;
			
	undef $/;
	open (DAT,"<$direc/$file") || &error("nope $dir_plus/$file");
	binmode(FILE); 
	$content = <DAT>;
	close (DAT);

	$content = &headers::remove($content);
	if ($hf{$pkey} eq "off") {
		$new_content = &headers::add($content,'','',1);	
	}
	else {
		$new_content = &headers::add($content,$head,$foot,1);
	}
	
	open (FILE, ">$direc/$file");
	binmode(FILE); 
	print FILE $new_content;
	close (FILE);
	$/ ="\n";	
	}

}

	
for $new_dir(0..$#dirs) {
	if ($dirs[$new_dir] =~ /_data/) { next; }
	&dir_lists("$direc/$dirs[$new_dir]",$blank);
}


}






sub sort_hasp {
	my $x = shift;
	my %array = %$x;
	sort { $array{$a} cmp $array{$b}; } keys %array;
}

1;


# Version/Other: 3.26
# Licensed to: Robert R FLower
# Downloaded on: 8/21/00, 9:11 p.m.
# IP Address: 24.64.143.114
# Session: JvNsWNqK

