#!/usr/bin/perl

# Version/Other: 3.26
# Licensed to: Robert R FLower
# Downloaded on: 8/21/00, 9:11 p.m.
# IP Address: 24.64.143.114
# Session: JvNsWNqK


#############################################
#                                           #
#                                           #
#        Home Free 3.26             #
#        Solution Scripts                   #
#        Copyright 1997-2000                #
#        http://solutionscripts.com         #
#                                           #
#                                           #
# Using, selling, distrubiting the code for #
# this program without prior written        #
# consent is expressly forbidden. In all    #
# cases all copyrights and downoad stamps   #
# MUST remain intact. Lots of time and      #
# energy has go into the creation of this   #
# program, please respect our work. Thanks  #
#                                           #
#                                           #
#############################################



$|=1;

BEGIN {
	($0 =~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");
	($0 =~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");
}

require "variables.pl";
require "dblib.pl";
require "acc_auth.pl";
require "header_footer.pl";

print "Content-type: text/html\n\n ";

&Account::initialize;

&Account::verify_user;

@char_set = ('a'..'z','0'..'9');

$start_head ="<!-- START HOME FREE HEADER CODE -->\n";
$start_foot ="<!-- START HOME FREE FOOTER CODE -->\n";
$end_head ="<!-- END HOME FREE HEADER CODE -->\n";
$end_foot ="<!-- END HOME FREE FOOTER CODE -->\n";

$template=0;
$insert =0;
$delete =0;
$inserts =0;
$deletes =0;

#print "<font face=verdana size=1>";

while ( ($name, $value) = each(%INPUT) ) {
# print "$name = $value<BR>";

	if ($name =~ /^template_[0-9]*\.dat/) {
		$template =$name;
	}
	if ($name =~ /^insert_[0-9]*\.[x|y]$/) {
		$name =~ s/\.[x|y]$//;
		$insert = $name;
		$insert =~ s/^insert_//i;
		$inserts=1;
	}
	if ($name =~ /^delete_[0-9]*\.[x|y]$/) {
		$name =~ s/\.[x|y]$//;
		$delete = $name;
		$delete =~ s/^delete_//i;
		$deletes=1;
	}
}

$preiview =0;

open (DAT,"<$path/editor_hr.txt");
@f_hr = <DAT>;
close (DAT);

open (DAT,"<$path/editor_email.txt");
@f_email = <DAT>;
close (DAT);

open (DAT,"<$path/editor_img.txt");
@f_img = <DAT>;
close (DAT);

open (DAT,"<$path/editor_bg.txt");
@f_bg = <DAT>;
close (DAT);

#$query = $ENV{'QUERY_STRING'};
#if ($query) { &view_images; }

if ($INPUT{'new'}) { &new; }
elsif ($template) { &template; }
elsif ($INPUT{'insert'}) { &new; }
elsif ($INPUT{'preview'}) { &preview; }

elsif ($INPUT{'delete'}) { &new; }
elsif ($INPUT{'viewimage'}) { &view_images; } 
&new;
exit;


########## PREVIEW FILE #######
sub preview {
	
$preview=1;

$total = $INPUT{'total'};

$html .=<<EOF;
<HTML><HEAD><TITLE>$INPUT{'title'}</TITLE>
EOF

if ($INPUT{'meta_key'}) {
	$html .="<meta http-equiv=\"keywords\" content=\"$INPUT{'meta_key'}\">\n";
}
if ($INPUT{'meta_des'}) {
	$html .="<meta http-equiv=\"description\" content=\"$INPUT{'meta_des'}\">\n";
}

$html .= "</HEAD>\n<BODY ";
unless ($INPUT{'bgcolor'} eq $lang::ez13) {
	$html .= "bgcolor=\"$INPUT{'bgcolor'}\" ";
}
unless ($INPUT{'bgimage'} eq $lang::ez13) {
	$html .= "background=\"$INPUT{'bgimage'}\" ";
}
unless ($INPUT{'textcolor'} eq $lang::ez13) {
	$html .= "text=\"$INPUT{'textcolor'}\" ";
}
unless ($INPUT{'linkcolor'} eq $lang::ez13) {
	$html .= "link=\"$INPUT{'linkcolor'}\" ";
}
unless ($INPUT{'vlinkcolor'} eq $lang::ez13) {
	$html .= "vlink=\"$INPUT{'vlinkcolor'}\" alink=\"$INPUT{'alinkcolor'}\" ";
}
$html .= ">\n";

unless ($total) {
	$total = 0;
}
$a=0;
$b=0;
$new_total = $total;

while ($a <= $total) {
	## GET TYPE ## TYPE OLD NEW ##
	&get_type($INPUT{'temp_' . $a . '_type'},$b,$a);
	$b++;
	$a++;
}
$html .= "</BODY></HTML>\n";

###### CREATE FILE ## NO PREVIEW #######
if ($INPUT{'preview'} =~ /$lang::ez18/gi) {
	
	$head .= "<!--START EZ_WEB HTML-->\n";
	foreach $key (keys %INPUT) {
		unless (($key eq "session") || ($key eq "preview") || ($key eq "account") ||  ($key eq "dir") || ($key eq "file_name")) {
			$pkey = $INPUT{$key};
			$pkey =~ s/\%\%//g;
			$pkey =~ s/\r//gi;
			$pkey =~ s/\n/\\n/gi;
			$head.= "<!--%%$key%%$pkey%%-->\n";
		}
	}

	if ($Account::hf_on eq "on") {
		
		undef $/;
		if ($Account::file_header) {
			open (HEAD, "$path/$Account::file_header");
			$hheader = <HEAD>;
			close (HEAD);
			
			if ($Account::file_header =~ "headers") {
				$hheader =~ s/.*\n//;
			}
		}
		
		if ($Account::file_footer) {
			open (HEAD, "$path/$Account::file_footer");
			$ffooter = <HEAD>;
			close (HEAD);
			
			if ($Account::file_footer =~ "footers") {
				$ffooter =~ s/.*\n//;
			}
		}		
		$/="\n";
			
		$content = &headers::add($html,$hheader,$ffooter);
	}
	else {
		$content = $html;
	}
	$head .= "<!--END EZ_WEB HTML-->\n";

	$dir = $INPUT{'dir'};
	$dir =~ s/^\///;

	if ($dir =~ /\.\./) { &error("hacking attempt"); }
	if ($dir) { $dir_plus = "$Account::dir_acc/$dir"; }
	else { $dir_plus = $Account::dir_acc; }

	@filename=split(/\./,$INPUT{'file_name'});
	$ext = "." . $filename[1];
	$ext ="\L$ext\E";
	$base_name = $filename[0];
	@out = split(//,$base_name);
	$a=0;
	foreach $char (@out) {
		$a++;	
		unless (($char =~ /[a-z]/) || ($char =~ /[A-Z]/) || ($char =~ /[0-9]/) || ($char =~ /_/)){
			$error .= "<font face=$font_face><B>$file - $lang::uf7</B></font><BR></b>";
			last;
		}
	}
	unless ($a) {
		$error .= "<font face=$font_face><B>$lang::uf8</B></font><BR></b>";
	}
	unless ($ext && ($good_types{$ext})) {
		$error .= "<font face=$font_face><B>$ext -- $Lang::uf25</B></font><BR>";
	}
	if ($error) {
		&Account::header;
print <<EOF;
<BR>
<table cellpadding=5 border=1 cellspacing=0>
<TR><TD><font face=$font_face size=$font_size>
$lang::uf26<BR><BR>
$error
<BR>$lang::uf27
</TD></TR></TABLE>
EOF
		&Account::footer;
		exit;
	}

	open (FILE, ">$dir_plus/_temp.html");
	print FILE $head;
	print FILE $content;
	close (FILE);

	@stats = stat("$dir_plus/_temp.html");
	$sizes = $stats[7];
	$sizes = $sizes /1000;
	@stats = stat("$dir_plus/$INPUT{'file_name'}");
	$size = $stats[7];
	$size = $size /1000;
	$t_size = $sizes - $size + $Account::size;
	$total_size += $Account::size_added;

	if ($t_size > $total_size) {
		&Account::header;
print <<EOF;
<table cellpadding=5 border=1 cellspacing=0>
<TR><TD><font face=$font_face size=$font_size>
<B>
$lang::ez2
</TD></TR></TABLE>

EOF
		&Account::footer;
		unlink ("$dir_plus/_temp.html");
		exit;
	}

	open (DAT,">$dir_plus/$INPUT{'file_name'}");
	print DAT $head;
	print DAT $content;
	close (DAT);

	unlink ("$dir_plus/_temp.html");
}
else {
	print $html;
	exit;
}

&Account::header($lang::ez3);
print <<EOF;
<BR>
<font face=$font_face size=$font_size>
$lang::ut8
<BR><BR>

<B><A HREF="$files::ez_web?account=$Account::cata_acc&session=$Account::session&dir=$INPUT{'dir'}">$lang::uf33</A></B>

<BR><BR>
<B>
<A HREF="$files::manage?account=$Account::cata_acc&session=$Account::session&dir=$INPUT{'dir'}">$lang::ut10</A>
</B>
EOF
&Account::footer;
exit;
}

######### NEW #########
sub new {

&Account::header($lang::ez1);


if ($INPUT{'file'}) {
	
	$INPUT{'file_name'} = $INPUT{'file'};
	undef $/;
	open (HEAD, "$dir_plus/$INPUT{'file'}");
	$sfile = <HEAD>;
	close (HEAD);

	$sfile =~ s/<!--START EZ_WEB HTML-->\n//gm;
	$sfile =~ s/<!--END EZ_WEB HTML-->(.|\n)*//gm;	

	@asfile = split(/\n/,$sfile);
	
	foreach $line (@asfile) {
		@aline = split(/\%\%/,$line);
		$aline[2] =~s/\\n/\n/gi;
		$INPUT{$aline[1]} =$aline[2];
	}		
}


print <<EOF;
<script language="JavaScript1.1">
<!--
function previewForm() {
	document.htmlForm.target="preview"
	document.htmlForm.submit
}
function saveForm() {
	document.htmlForm.target="_self"
	document.htmlForm.submit
}
//-->
</script>


<form action="$files::ez_web" method="POST" name="htmlForm">
$Account::hidden_variables
<INPUT TYPE=HIDDEN NAME="dir" value="$INPUT{'dir'}">
<Table border=1 cellpadding=5 cellspacing=0 bgcolor=$table_bg>

<TR bgcolor=$table_head_bg><TD valign=center>
<font size=$font_size face=$font_face color=$text_table_head>$lang::ez4
</TD></TR>

<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>$lang::ez5
<input type="Text" name="file_name" size="15" value="$INPUT{'file_name'}">
&nbsp;&nbsp;&nbsp;$lang::ez6
</TD></TR>

<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
$lang::ez7 <input type="Text" name="meta_key" size="20" value="$INPUT{'meta_key'}">
&nbsp;&nbsp;&nbsp;$lang::ez8 <input type="Text" name="meta_des" size="20" value="$INPUT{'meta_des'}">

</TD></TR>

<TR bgcolor=$table_head_bg><TD valign=center>
<font size=$font_size face=$font_face color=$text_table_head>$lang::ez9
</TD></TR>

<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>$lang::ez10 
<input type="Text" name="title" size="40" value="$INPUT{'title'}">
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
$lang::ez11 <select name="bgcolor">
EOF
&print_colors($INPUT{'bgcolor'});
print <<EOF;
</select>
&nbsp;&nbsp;&nbsp;
$lang::ez12 <select name="bgimage">
<option value="None">$lang::ez13
EOF
&get_image('bg','select',$INPUT{'bgimage'});
print <<EOF;
</select>
&nbsp;&nbsp;<a href="$files::ez_web?account=$Account::cata_acc&session=$Account::session&viewimage=bg" target="ins"><img src="$url_to_icons/ez_image.gif" border=0 alt="$lang::ez14"></a>
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
$lang::ez15 <select name="textcolor">
EOF
&print_colors($INPUT{'textcolor'});
print <<EOF;
</select>&nbsp;&nbsp;&nbsp;
$lang::ez16 <select name="linkcolor">
EOF
&print_colors($INPUT{'linkcolor'});
print <<EOF;
</select>&nbsp;&nbsp;&nbsp;
$lang::ez17 <select name="vlinkcolor">
EOF
&print_colors($INPUT{'vlinkcolor'});
print <<EOF;
</select>
</TD></TR>
EOF
$last = "title";

########## START LOOP ##########
$total = $INPUT{'total'};

unless ($total) {
	$total = 0;
}
$a=0;
$b=0;
$new_total = $total;

&print_insert($b);

while ($a <= $total) {
	unless ($delete == $a) { # DELETE NOT EQUAL A #
		if ($INPUT{'temp_' . $a . '_type'}){
			## GET TYPE ## TYPE OLD NEW ##
			&get_type($INPUT{'temp_' . $a . '_type'},$b,$a);
			&print_insert($b);
			
		}
	}
	elsif ($deletes) {
		$b = $b-1;
		$new_total = $total-1;
	}
	if ($inserts) {
		if ($insert == $a) {
			$b++;
			&get_type($INPUT{'insert_type_' . $a},$b);
			&print_insert($b,"0");	
			$new_total++;
		}
	}
	$b++;
	$a++;
}

print <<EOF;
</TABLE>
<input type="Hidden" name="total" value="$new_total">
<br><br>
<input type="Submit" name="preview" value=" $lang::ez18 " onClick="saveForm(this.form);">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input type="Submit" name="preview" value=" $lang::ez19 " onClick="previewForm(this.form);">
</FORM>
<script language="JavaScript1.1">
<!--
	document.htmlForm.$last.focus();
//-->
</script>
EOF
&Account::footer;
print "</BODY></HTML>";

exit;
}

########## GET TYPE ##########
sub get_type {

$type = $_[0];
$num = $_[1];
$num_old = $_[2];

if ($type eq $lang::ez20) {
	&print_text($num,$num_old);
}
elsif ($type eq $lang::ez25) {
	&print_startfont($num,$num_old);
}
elsif ($type eq $lang::ez26) {
	&print_endfont($num,$num_old);
}
elsif ($type eq $lang::ez21) {
	&print_link($num,$num_old);
}
elsif ($type eq $lang::ez22) {
	&print_image($num,$num_old);
}
elsif ($type eq $lang::ez23) {
	&print_new_line($num,$num_old);
}
elsif ($type eq $lang::ez24) {
	&print_email($num,$num_old);
}
elsif ($type eq $lang::ez27) {
	&print_hr($num,$num_old);
}
}

########## INSERT OPTIONS ##########
sub print_insert {

$num = $_[0];

@options = ($lang::ez20,$lang::ez21,$lang::ez22,$lang::ez23,$lang::ez24,$lang::ez25,$lang::ez26,$lang::ez27);

print <<EOF;
<TR align=left bgcolor=$table_bg2><TD valign=center>
<font size=$font_size face=$font_face color=$text_table>
<select name="insert_type_$num">
EOF

foreach $option(@options) {
	print "<option value=\"$option\">$option\n";
}

print <<EOF;
</SELECT>&nbsp;&nbsp;&nbsp;
<input type="image" src="$url_to_icons/insert.gif" name="insert_$num" onClick="saveForm(this.form);" align=middle>
</TD></TR>
EOF

}

########### PRINT COLORS #########
sub print_colors {

local($selected) = $_[0];

@colors = ($lang::ez13,"Black","Maroon","Green","Olive","Navy","Purple","Teal","Silver","Gray","Red","Lime","Yellow","Blue","Fuchsia","Aqua","White");

foreach $color(@colors) {
	$sell = '';
	if ($selected eq $color) {
		$sell = 'SELECTED';
	}
	print "<option value=\"$color\" $sell>$color\n";
}
}

########## PRINT FACE FONT #########
sub print_fontface {

local($selected) = $_[0];

@faces = ($lang::ez13,"Arial","Times","Verdana");

foreach $face(@faces) {
	$sell = '';
	if ($selected eq $face) {
		$sell = 'SELECTED';
	}
	print "<option value=\"$face\" $sell>$face\n";
}

}
#

########### PRINT FACE SIZE #########
sub print_fontsize {

local($selected) = $_[0];

@faces = ($lang::ez13,"1","2","3","-1","-2","+1","+2","+3");

foreach $face(@faces) {
	$sell = '';
	if ($selected eq $face) {
		$sell = 'SELECTED';
	}
	print "<option value=\"$face\" $sell>$face\n";
}

}

########## PRINT FACE FONT #########
sub print_align {

local($selected) = $_[0];

@faces = ($lang::ez13,"Center","Left","Right");

foreach $face(@faces) {
	$sell = '';
	if ($selected eq $face) {
		$sell = 'SELECTED';
	}
	print "<option value=\"$face\" $sell>$face\n";
}

}


########### INSERT TEXT ##########
sub print_text {

$num = $_[0];
$num_old = $_[1];
$tt = "temp_" . $num . "_type";

if ($preview) {
	$html .= "$INPUT{'text_' . $num_old}\n";
}
else {
print <<EOF;
<TR align=left bgcolor=$table_head_bg><TD valign=center>
<input type="Hidden" name="$tt" value="$lang::ez20">
<font size=$font_size face=$font_face color=$text_table_head>$num. $lang::ez20&nbsp;&nbsp;&nbsp;
<input type="image" name="delete_$num" src="$url_to_icons/delete.gif" onClick="saveForm(this.form);" align=middle>
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
<textarea name="text_$num" cols="45" rows="10" wrap="OFF">
$INPUT{'text_' . $num_old}
</textarea>
</TD></TR>
EOF
$last = "text_$num";
}
}

########### INSERT start font ##########
sub print_startfont {

$num = $_[0];
$num_old = $_[1];
$tt = "temp_" . $num . "_type";

$nsel = '';
$bsel = '';
$isel = '';
$usel = '';

if ($INPUT{'textradio_' . $num_old} eq "bold") {
	$html .="<B>" if ($preview);
	$bsel = "CHECKED";
}
elsif ($INPUT{'textradio_' . $num_old} eq "italics") {
	$html .="<I>" if ($preview);
	$isel = "CHECKED";
}
elsif ($INPUT{'textradio_' . $num_old} eq "underline") {
	$html .="<U>" if ($preview);
	$usel = "CHECKED";
}
else {
	$nsel = "CHECKED";
}
if ($preview) {
	unless ($INPUT{'textalign_' . $num_old} eq lang::ez13) {
		$html .= "<DIV ALIGN=$INPUT{'textalign_' . $num_old}>";
		$div = "CHECKED";
	}
	$font=1;
	unless ($INPUT{'textcolor_' . $num_old} eq $lang::ez13) {
		$html .="<FONT ";
		$html .="COLOR=\"$INPUT{'textcolor_' . $num_old}\" ";
		$font=0;
	}
	unless ($INPUT{'textface_' . $num_old} eq $lang::ez13) {
		$html .="<FONT " if ($font); 
		$html .="FACE=\"$INPUT{'textface_' . $num_old}\" ";
		$font=0;
	}
	unless ($INPUT{'textsize_' . $num_old} eq $lang::ez13) {
		$html .="<FONT " if ($font);
		$html .="SIZE=\"$INPUT{'textsize_' . $num_old}\" ";
		$font=0;
	}
	unless ($font) {
		$html .=">";
	}
}
else {
print <<EOF;
<TR align=left bgcolor=$table_head_bg><TD valign=center>
<input type="Hidden" name="$tt" value="$lang::ez25">
<font size=$font_size face=$font_face color=$text_table_head>$num. $lang::ez25&nbsp;&nbsp;&nbsp;
<input type="image" name="delete_$num" src="$url_to_icons/delete.gif" onClick="saveForm(this.form);" align=middle>
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
$lang::ez28 <select name="textcolor_$num">
EOF
&print_colors($INPUT{'textcolor_' . $num_old});
print <<EOF;
</select>
&nbsp;&nbsp;&nbsp;
$lang::ez29 <select name="textface_$num">
EOF
&print_fontface($INPUT{'textface_' . $num_old});
print <<EOF;
</select>
&nbsp;&nbsp;&nbsp;
$lang::ez30 <select name="textsize_$num">
EOF
&print_fontsize($INPUT{'textsize_' . $num_old});
print <<EOF;
</select>
<font size=$font_size face=$font_face><BR>
$lang::ez31 - <input type="Radio" name="textradio_$num" value="normal" $nsel>&nbsp;&nbsp;
<B>$lang::ez32</B> - <input type="Radio" name="textradio_$num" value="bold" $bsel>&nbsp;&nbsp; 
<i>$lang::ez33</i> - <input type="Radio" name="textradio_$num" value="italics" $isel>&nbsp;&nbsp;
<u>$lang::ez34</u> - <input type="Radio" name="textradio_$num" value="underline" $usel>
&nbsp;&nbsp;&nbsp;
$lang::ez35 <select name="textalign_$num">
EOF
&print_align($INPUT{'textalign_' . $num_old});
print <<EOF;
</SELECT>
</TD></TR>
EOF
$last = "textcolor_$num";
}
}

########### INSERT start font ##########
sub print_endfont {

$num = $_[0];
$num_old = $_[1];
$tt = "temp_" . $num . "_type";
if ($preview && $bsel) {
	$html .= "</B>";
}
if ($preview && $isel) {
	$html .= "</I>";
}
if ($preview && $usel) {
	$html .= "</U>";
}
if ($preview && $div) {
	$html .= "</DIV>";
}
if ($preview) {
	$html .="</FONT>";
}
else {
print <<EOF;
<TR align=left bgcolor=$table_head_bg><TD valign=center>
<input type="Hidden" name="$tt" value="$lang::ez26">
<font size=$font_size face=$font_face color=$text_table_head>$num. $lang::ez26&nbsp;&nbsp;&nbsp;
<input type="image" name="delete_$num" src="$url_to_icons/delete.gif" onClick="saveForm(this.form);" align=middle>
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face><b>$lang::ez36</b> -- $lang::ez37
</TD></TR>
EOF
}
}

########### INSERT LINK ##########
sub print_link {

$num = $_[0];
$num_old = $_[1];
$tt = "temp_" . $num . "_type";

if ($preview) {
	if ($INPUT{'urlmouse_' . $num_old}) {
$html .=<<EOF;
<A HREF="$INPUT{'url_' . $num_old}" OnMouseOut="window.status=''; return true"  OnMouseOver="window.status='$INPUT{'urlmouse_' . $num_old}'; return true">$INPUT{'urltext_' . $num_old}</A>
EOF
	}
	else {
		$html .="<A HREF=\"$INPUT{'url_' . $num_old}\">$INPUT{'urltext_' . $num_old}</A>";
	}
}
else {
print <<EOF;
<TR align=left bgcolor=$table_head_bg><TD valign=center>
<input type="Hidden" name="$tt" value="$lang::ez21">
<font size=$font_size face=$font_face color=$text_table_head>$num. $lang::ez21&nbsp;&nbsp;&nbsp;
<input type="image" name="delete_$num" src="$url_to_icons/delete.gif" onClick="saveForm(this.form);" align=middle>
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
$lang::ez38 </FONT><input type="Text" name="url_$num" value="$INPUT{'url_' . $num_old}" size="25">
&nbsp;&nbsp;&nbsp;
<font size=$font_size face=$font_face>$lang::ez39</FONT> <input type="Text" name="urltext_$num" value="$INPUT{'urltext_' . $num_old}" size="25"> 
<BR>
<font size=$font_size face=$font_face>$lang::ez40</FONT> <input type="Text" name="urlmouse_$num" value="$INPUT{'urlmouse_' . $num_old}" size="25">
</TD></TR>
EOF
$last = "url_$num";
}
}

########## NEW LINE #########
sub print_new_line{

$num = $_[0];
$num_old = $_[1];
$tt = "temp_" . $num . "_type";

if ($preview) {
	$html .="<BR>";
}
else {
print <<EOF;
<TR align=left bgcolor=$table_head_bg><TD valign=center>
<input type="Hidden" name="$tt" value="$lang::ez23">
<font size=$font_size face=$font_face color=$text_table_head>$num. $lang::ez23&nbsp;&nbsp;&nbsp;
<input type="image" name="delete_$num" src="$url_to_icons/delete.gif" onClick="saveForm(this.form);">
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
<B>$lang::ez41</B> -- $lang::ez37
</TD></TR>
EOF
}
}

########### INSERT EMAIL ##########
sub print_email{

$num = $_[0];
$num_old = $_[1];
$tt = "temp_" . $num . "_type";

if ($preview) {
	if ($INPUT{'formemail_' . $num_old}) {
$html .=<<EOF;
<form action="$files::formmail" method="POST">
<input type="Hidden" name="account" value="$account">
<input type="Hidden" name="cata" value="$cata">
<BR>$lang::fm5 <input type="Text" name="name" size="20">
<BR>$lang::fm6 <input type="Text" name="email" size="20">
<BR>$lang::fm7
<BR><textarea name="comments" cols="30" rows="5"></textarea>
<BR>
<input type="Submit" name="formmail" value=" $lang::ez42 ">
</FORM>
EOF
	}
	else {
		$html .="<A HREF=\"mailto:$INPUT{'urlemail_' . $num_old}\">";
		if ($INPUT{'textemail_' . $num_old}) {
			$html .="$INPUT{'textemail_' . $num_old}</A>";
		}
		else {
			$html .="<IMG SRC=\"$INPUT{'imageemail_'.$num}\"></A>";
		}
	}		
}
else {
$email_ch = "";
	if ($INPUT{'fromemail_'.$num}) {
		$email_ch = " CHECKED"; 
	}
print <<EOF;
<TR align=left bgcolor=$table_head_bg><TD valign=center>
<input type="Hidden" name="$tt" value="$lang::ez24">
<font size=$font_size face=$font_face color=$text_table_head>$num. $lang::ez24&nbsp;&nbsp;&nbsp;
<input type="image" name="delete_$num" src="$url_to_icons/delete.gif" onClick="saveForm(this.form);" align=middle>
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
$lang::ez43 <input type="Text" name="urlemail_$num" value="$INPUT{'urlemail_' . $num_old}" size="15">&nbsp;&nbsp;&nbsp;$lang::ez44 <input type="Checkbox" name="formemail_$num" value="form" $email_ch>
<BR>
$lang::ez45 <input type="Text" name="textemail_$num" value="$INPUT{'textemail_' . $num_old}" size="15">
&nbsp;&nbsp;<B>or</B>&nbsp;&nbsp;
$lang::ez46 <select name="imageemail_$num">
<option value="None">$lang::ez13
EOF
&get_image('email','select',$INPUT{'imageemail_'.$num});
print <<EOF;
</select>
&nbsp;&nbsp;<a href="$files::ez_web?account=$Account::cata_acc&session=$Account::session&viewimage=email" target="ins"><img src="$url_to_icons/ez_image.gif" border=0 alt="view images"></a>
</TD></TR>
EOF
$last = "urlemail_$num";
}
}

########## HORIZONTAL RULE #########
sub print_hr{

$num = $_[0];
$num_old = $_[1];
$tt = "temp_" . $num . "_type";

if ($preview) {
	if ($INPUT{'hrimage_'.$num} ne $lang::ez13) {
		($hr_url,$hr_w,$hr_h) = &get_image('hr','get',$INPUT{'hrimage_'.$num});
		$html .= "<DIV ALIGN=\"$INPUT{'hralign_'.$num}\">";
		$html .="<IMG SRC=\"$hr_url\"></DIV>";
	}
	else {
		$html .="<HR ALIGN=\"$INPUT{'hralign_'.$num}\" ";
		if ($INPUT{'hrsize_'.$num}) {
			$html .="SIZE=\"$INPUT{'hrsize_'.$num}\" ";
		}
		if ($INPUT{'hrwidth_'.$num}) {
			$html .="WIDTH=\"$INPUT{'hrwidth_'.$num}\" ";
		}
		if ($INPUT{'hrcolor_'.$num} ne 'None') {
			$html .="COLOR=\"$INPUT{'hrcolor_'.$num}\" ";
		}
		if ($INPUT{'hrshade_'.$num}) {
			$html .="NOSHADE";
		}
		$html .=">";
	}
}
else {
$shade_ch = "";
	if ($INPUT{'hrshade_'.$num}) {
		$shade_ch = " CHECKED"; 
	} 
print <<EOF;
<TR align=left bgcolor=$table_head_bg><TD valign=center>
<input type="Hidden" name="$tt" value="$lang::ez27">
<font size=$font_size face=$font_face color=$text_table_head>$num. $lang::ez27&nbsp;&nbsp;&nbsp;
<input type="image" name="delete_$num" src="$url_to_icons/delete.gif" onClick="saveForm(this.form);" align=middle>
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
$lang::ez47 <select name="hralign_$num"><option value="center">Center<option value="left">Left<option value="right">Right</select>
&nbsp;&nbsp;&nbsp;$lang::ez48 <input type="Text" name="hrsize_$num" size="4">
&nbsp;&nbsp;&nbsp;$lang::ez49 <input type="Text" name="hrwidth_$num" size="4">
&nbsp;&nbsp;&nbsp;$lang::ez50 
<select name="hrcolor_$num">
EOF
&print_colors($INPUT{'hrcolor_'.$num});
print <<EOF;
</SELECT><BR>
$lang::ez51 <input type="Checkbox" name="hrshade_$num" $shade_ch>&nbsp;&nbsp;&nbsp;<B>$lang::ez52</B>&nbsp;&nbsp;&nbsp;
$lang::ez53 <select name="hrimage_$num"><option value="None">$lang::ez13
EOF
&get_image('hr','select',$INPUT{'hrimage_'.$num});
print <<EOF;
</select>
&nbsp;&nbsp;<a href="$files::ez_web?account=$Account::cata_acc&session=$Account::session&viewimage=hr" target="ins"><img src="$url_to_icons/ez_image.gif" border=0 alt="view images"></a>
</TD></TR>
EOF
}
}

####
sub print_image {
$num = $_[0];
$num_old = $_[1];
$tt = "temp_" . $num . "_type";

if ($preview) {
	if ($INPUT{'imgalign_'.$num} eq 'Center') { $html .= "<DIV ALIGN=CENTER>"; }
	if ($INPUT{'imgurl_' . $num}) {
		$html .= "<A HREF=\"$INPUT{'imgurl_' . $num}\">";
	}
	if ($INPUT{'imgimage_'.$num} ne $lang::ez13) {
		($img_url,$img_w,$img_h) = &get_image('img','get',$INPUT{'imgimage_'.$num});

		$html .= "<IMG SRC=\"$img_url\" ";
		if ($img_w) { $html .= "width=$img_w "; }
		chomp($img_h);
		if ($img_h) { $html .= "height=$img_h "; }
		if (($INPUT{'imgalign_'.$num} ne $lang::ez13) || ($INPUT{'imgalign_'.$num} ne 'Center')) {
			$html .= "ALIGN=\"$INPUT{'imgalign_'.$num}\" ";
		}
		if ($INPUT{'imgborder_'.$num}) {
			$html .="BORDER=\"$INPUT{'imgborder_'.$num}\" ";
		}
		else {
			$html .="BORDER=\"0\" ";
		}			
		$html .=">";		
	}
	else {
		$html .="<IMG SRC=\"$INPUT{'img_'.$num}\" ";
		if ($INPUT{'imgborder_'.$num}) {
			$html .="BORDER=\"$INPUT{'imgborder_'.$num}\" ";
		}
		else {
			$html .="BORDER=\"0\" ";
		}	
		if ($INPUT{'imgwidth_'.$num}) {
			$html .="WIDTH=\"$INPUT{'imgwidth_'.$num}\" ";
		}
		if ($INPUT{'imgheight_'.$num}) {
			$html .="HEIGHT=\"$INPUT{'imgheight_'.$num}\" ";
		}
		if (($INPUT{'imgalign_'.$num} ne $lang::ez13) || ($INPUT{'imgalign_'.$num} ne 'Center')) {
			$html .="ALIGN=\"$INPUT{'imgalign_'.$num}\" ";
		}
		$html .=">";
	}
	if ($INPUT{'imgalign_'.$num} eq 'Center') { $html .= "</DIV>"; }
}
else {
print <<EOF;
<TR align=left bgcolor=$table_head_bg><TD valign=middle>
<input type="Hidden" name="$tt" value="$lang::ez22">
<font size=$font_size face=$font_face color=$text_table_head>$num. $lang::ez22&nbsp;&nbsp;&nbsp;
<input type="image" name="delete_$num" src="$url_to_icons/delete.gif" onClick="saveForm(this.form);" align=middle>
</TD></TR>
<TR align=left><TD valign=center>
<font size=$font_size face=$font_face>
$lang::ez54 </FONT><input type="Text" name="img_$num" value="$INPUT{'img_' . $num_old}" size="25">
&nbsp;&nbsp;
<font size=$font_size face=$font_face>$lang::ez49</FONT> <input type="Text" name="imgwidth_$num" value="$INPUT{'imgwidth_' . $num_old}" size="3"> 
&nbsp;&nbsp;
<font size=$font_size face=$font_face>$lang::ez55</FONT> <input type="Text" name="imgheight_$num" value="$INPUT{'imgheight_' . $num_old}" size="3">
&nbsp;&nbsp;
<font size=$font_size face=$font_face>$lang::ez56</FONT> <input type="Text" name="imgborder_$num" value="$INPUT{'imgborder_' . $num_old}" size="2"><BR>
<font size=$font_size face=$font_face>$lang::ez57</FONT> <select name="imgimage_$num"><option value="None">$lang::ez13
EOF
&get_image('img','select',$INPUT{'imgimage_'.$num});
print <<EOF;
</select>
&nbsp;&nbsp;<a href="$files::ez_web?account=$Account::cata_acc&session=$Account::session&viewimage=img" target="ins"><img src="$url_to_icons/ez_image.gif" border=0 alt="view images"></a>
&nbsp;&nbsp;
<font size=$font_size face=$font_face>$lang::ez58</FONT> <input type="Text" name="imgurl_$num" value="$INPUT{'imgwidth_' . $num_old}" size="15"> 
&nbsp;&nbsp;
<font size=$font_size face=$font_face>$lang::ez59</FONT> <select name="imgalign_$num">
EOF
&print_align($INPUT{'imgalign_' . $num_old});
print <<EOF;
</SELECT>
</TD></TR>
EOF
$last = "img_$num";
}
}



###########
sub get_image {
$what = $_[0];
$wtype = $_[1];
$wold = $_[2];

if ($what eq 'bg') {
	@files = @f_bg;
}
elsif ($what eq 'hr') {
	@files = @f_hr;
}
elsif ($what eq 'img') {
	@files = @f_img;
}
elsif ($what eq 'email') {
	@files = @f_email;
}

foreach $ff (@files) {
	@nff = split(/\,/,$ff);
	if (($wtype eq 'select') && $nff[0]) {
		print "<option value=\"$nff[0]\" ";
		if ($wold eq $nff[0]) {
			print "SELECTED";
		}
		print ">$nff[1]\n";
	}
	elsif ($wold eq $nff[0]){
		return($nff[0],$nff[2],$nff[3]);	
	}
}

}





########### VIEW IMAGE LIBS ###########
sub view_images {
	
	$query = $INPUT{'viewimage'};
	
print <<EOF;
<HTML><HEAD><TITLE>$lang::ez60</TITLE>
</HEAD><center>
<font size=$font_size face=$font_face><B>$lang::ez61</B>
<BR><BR>
<TABLE cellpadding=5 border=0>

EOF
if ($query eq 'bg') {
	@files = @f_bg;
}
elsif ($query eq 'hr') {
	@files = @f_hr;
}
elsif ($query eq 'email') {
	@files = @f_email;
}
elsif ($query eq 'img') {
	@files = @f_img;
}

foreach $ff (@files) {
	@nff = split(/\,/,$ff);
	if ($nff[1] && $nff[0]) {
print <<EOF;
<TR><TD align=center>
<font size=$font_size face=$font_face>
<B>$nff[1]</B><BR>
<img src="$nff[0]" border=0>
<BR><BR></TD></TR>
EOF
	}
}

print "</TABLE>";
exit;
}




# Version/Other: 3.26
# Licensed to: Robert R FLower
# Downloaded on: 8/21/00, 9:11 p.m.
# IP Address: 24.64.143.114
# Session: JvNsWNqK

