#!/usr/bin/perl

# Version/Other: 3.26
# Licensed to: Robert R FLower
# Downloaded on: 8/21/00, 9:11 p.m.
# IP Address: 24.64.143.114
# Session: JvNsWNqK


#############################################
#                                           #
#                                           #
#        Home Free 3.26             #
#        Solution Scripts                   #
#        Copyright 1997-2000                #
#        http://solutionscripts.com         #
#                                           #
#                                           #
# Using, selling, distrubiting the code for #
# this program without prior written        #
# consent is expressly forbidden. In all    #
# cases all copyrights and downoad stamps   #
# MUST remain intact. Lots of time and      #
# energy has go into the creation of this   #
# program, please respect our work. Thanks  #
#                                           #
#                                           #
#############################################




$|=1;

BEGIN {
	($0 =~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");
	($0 =~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");
}

require "variables.pl";
require "dblib.pl";
require "adminlib.pl";

$time = time;
($sec,$bmin,$hour,$bmday,$bmon,$byear,$bwday,$gy,$isdst) = gmtime($time);
$bmon++;
$byear += 1900;
$gnow = "$bmon.$bmday.$byear";

&initalize;


if ($INPUT{'setup'}) { &Header(0); &setup; }
elsif ($INPUT{'action'} eq "setup") { &verify_setup; }
elsif ($INPUT{'setup_check'}) { &setup_check; }

&print_login;
&Footer;

sub verify_setup {
unless (($access_level =~ /ALL ACCESS/) || ($access_level =~ /config/)) { &unauth; }
&Header(0);
&setup;
}


########## SETUP ##########
sub setup {

$bpass = $_[0];

unless ($url_cgi) {
	$url_cgi = "http://$ENV{'HTTP_HOST'}$ENV{'REQUEST_URI'}";
	$url_cgi =~ s/\/admin_setup\.cgi$//;
}

unless ($mime_path) {
	$mime_path = "$ENV{'DOCUMENT_ROOT'}/mime";
}

unless ($url_mime) {
	$url_mime = "http://$ENV{'HTTP_HOST'}/mime";
}
unless ($mail_prog) {
	$cmdline = "which sendmail";
	$out=`$cmdline 2>&1`;
	$mail_prog = "$out";
}

unless ($domain) { $domain = $ENV{'SERVER_NAME'}; }

$current_path = $ENV{'SCRIPT_FILENAME'};
$current_path =~ s/admin_setup\.cgi//ig;

print <<EOF;
<TABLE CELLPADDING=5 CELLSPACING=0 WIDTH=100% BGCOLOR=white BORDER=0>
<TR><TD colspan=3 bgcolor=#336699 align=center>
<font face=arial size=3 color=white><b>Welcome To Home Free</b></FONT></TD></TR>
<TR><TD>&nbsp;&nbsp;</TD><TD colspan=2><FORM METHOD=POST ACTION="$files::setup">
EOF
if ($error) {
print <<EOF;
$css_font
<font color=red>
There were errors configuring you variables. The following step(s) had errors:
<font color=black>$error</FONT>. The text in red below the step itself will tell
you what went wrong and possibly how to fix it. Should you have any troubles getting Home Free configured properly, please see
<A HREF="http://faq.solutionscripts.com/help/support.shtml">http://faq.solutionscripts.com/help/support.shtml</A> for details
on obtaining support.</FONT>
EOF
}
else {
print <<EOF;
$css_font
Before you can start giving away free websites, 
we need to configure a few variables for the program to run correctly on your server.<BR><BR>
This setup has been built in such a way as to make this set-up as quick and easy for you.
Should you have any troubles getting Home Free configured properly, please see
<A HREF="http://faq.solutionscripts.com/help/support.shtml">http://faq.solutionscripts.com/help/support.shtml</A> for details
on obtaining support.<br><br>
Thank you again for purchasing Home Free<br>
Tim Watson, <a href="mailto:solutions\@solutionscripts.com"><B>Solution Scripts</B></a>........
EOF
}
print <<EOF;
<BR><BR><BR>
</TD></TR>
<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 1</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
EOF
if ($passwords) {
print <<EOF;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Step 1 is where we usually ask you to set a login/password, but since yours is already set, all we need you to do
is enter them below, to verfiy that you have authorization to edit this configuration
EOF
$user_word="Username:";
$pass_word="Password:";
}
else {
print <<EOF;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
We will first need to set an admininstrative username, password and the Home Free registration key.
After you finish this setup, and reload admin.cgi the next time, you will be asked for this username/password.
You can obtain your registration key from <A href="http://user.solutionscripts.com/?action=key&gid=homefree" target="blank"><B>Solution Scripts (click here)</B></A>.
Note that the key is dynamically created each day.
EOF
$user_word="Set Username:";
$pass_word="Set Password:";
}
print <<EOF;
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left valign=top>
$css_font
<B>$user_word
</TD><TD valign=top>
<input type="text" name="username" value="$INPUT{'username'}" size="30" maxlength="50">
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left valign=top>
$css_font
<B>$pass_word
</TD><TD valign=top>
<input type="Password" name="password" value="$INPUT{'password'}" size="30" maxlength="50">
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left valign=top>
$css_font
<B>
Registration key:</B>
</TD>
<TD valign=top>
EOF
if ($passwords) {
	print "<input type=\"Hidden\" name=\"ry\" value=\"$INPUT{'ry'}\">$css_font Skip to next step</FONT>\n";
}
else {
	print "<input type=\"regkey\" name=\"ry\" size=\"30\" maxlength=\"50\">\n";
}
print <<EOF;
<BR><BR>
</TD></TR>
<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 2</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
$error_2
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
We will first start by giving a name to your Home Free program. So when members sign up amoung other times
they will see something like \"Welcome to Tim\'s Free Web Sites\", where Tim's Free Web Sites would be the name. 
<BR><BR></TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left valign=top width=100%>
$css_font
<B>Home Free name:</B>
</TD><TD valign=top>
<input type="Text" name="setup_free_name" value="$free_name" size="30" maxlength="50">
<BR><BR>
</TD></TR>

<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 3</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
$error_3
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Now we need your email address. This will be the "from" email address on all emails sent to members, and the
one that they will be refered to should they have a question or problem. In the second text box we need your Name or nickname that you go by. 
This will also be used in emails sent to members, showing up in the From email field, along with the email address.<BR><BR>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD valign=top>
$css_font
<B>Your Email Address:</B>
</TD><TD valign=top>
<input type="Text" name="setup_email" value="$your_email" size="30">
<BR><BR></TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD valign=top>
$css_font
<B>Your From nickname:</B>
</TD><TD valign=top>
<input type="Text" name="setup_email_name" value="$your_name" size="30">
<BR><BR></TD></TR>

<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 4</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
$error_4
The next 2 steps will need you to enter a path, a path is the system of folders, we need the paths
so we can store the data files and members dirs in the correct spot. A path will be something like: 
<font color=red>/mnt/web/guide/solutionscripts/homefree</font> The path <B>is not the url</b> and <B>does not
start with http://</B>. With that said, and using a few enviromental variables of perl, we have helped you out a bit
by finding that the path to the dir that admin_setup.cgi (this script) is in, is: <font color=red>$current_path</FONT>,
and the path to your document root is <font color=red>$ENV{'DOCUMENT_ROOT'}</FONT>, but of course the paths you need to or want to use may be different.<BR><BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
The first path we need is the location of were you want the members data (their emails) and other data file from Home Free stored.
This dir <B>should not</B>
be readable from the web. Either below your document root is good, or in a cgi-bin where text files can not be accessed by the browser.
<BR><BR></TD></TR>
<TR><TD>&nbsp;&nbsp;</TD><TD valign=top>
$css_font
<B>Data Path:</B>
</TD><TD valign=top>
<input type="Text" name="setup_path" value="$path" size="35">
<BR><BR>
</TD></TR>
<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 5</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
$error_5
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Now we need the path that will hold the members dir with their homepages, 
this dir should be readable from the web at all times. This directory will 
also become part of your members url. 
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD><TD valign=top>
$css_font
<B>Home Free Path:</B>
</TD><TD>
<input type="Text" name="setup_free_path" value="$free_path" size="35">
<BR><BR>
</TD></TR>
<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 6</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
$error_6
Now we need to set a few urls. This is the spot where they need to start with http://.
All urls should point to a directory. Leave the trailing slash off the end. (Estimates at urls are made for first time users)<BR><BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
The first url is the url to where your cgi files are, the url to the directory where this file is.
If you are setting up Home Free for the first time, we took the liberty of entering this url for
you, if it is different from what is below, please change it.
</TD>
</TR>
<TR><TD>&nbsp;&nbsp;</TD><TD valign=top>
$css_font
<B>Url to cgi directory:</B>
</TD><TD valign=top>
<input type="Text" name="setup_url_to_cgi" value="$url_to_cgi" size="40">
<BR><BR>
</TD></TR>
<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 7</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
$error_7
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
The next url we need is the url to the directory where the home pages will be stored. 
This url should point to the directory path you set in step 5
</TD>
</TR>
<TR><TD>&nbsp;&nbsp;</TD><TD valign=top>
$css_font
<B>Home Free Url:</B>
</TD><TD valign=top>
<input type="Text" name="setup_url" value="$url" size="35">
<BR><BR>
</TD></TR>
<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 8</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
$error_8
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Now we need is the url to the directory where you have or will place the images that came in the Home Free
zip file. 
</TD>
</TR>
<TR><TD>&nbsp;&nbsp;</TD><TD valign=top>
$css_font
<B>Image Dir. Url:</B>
</TD><TD valign=top>
<input type="Text" name="setup_url_to_icons" value="$url_to_icons" size="40">
<BR><BR>
</TD></TR>
<TR><TD colspan=3 bgcolor=#336699>
$css_font
<b><font color=white>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Step 9</FONT></b>
</TD></TR>
<TR><TD>&nbsp;&nbsp;</TD>
<TD align=left colspan=2>
<BR>$css_font
$error_9
The last and most trickest for some. The path to your sendmail program in on Unix, 
or your STMP if sendmail is not an option. This is needed to send out any emails 
regarding Home Free operations. The path to sendmail is not the same on all servers, 
you may have to ask your server admin ir check other cgi files that might already use it, 
or look in the dirs. /usr/sbin, /usr/lib, or /usr/bin for a program called sendmail, 
or ask your server host. The STMP Server is your main mail server you use with your isp. 
The same one you put in Microsoft Outlook or Netscape Mail to send out email. 
Something like mail.earthlink.net. Ask your isp or network admin if you are not sure.  
(First time installers may or may not have it pre-selected for them) 
</TD>
</TR>
<TR><TD>&nbsp;&nbsp;</TD><TD>
$css_font
<B>Sendmail path:</B>
</TD><TD>
<input type="Text" name="setup_mail_prog" value="$mail_prog" size="30">
<BR><BR>
</TD></TR>
<TR><TD colspan=3 bgcolor=#336699 align=center>
<input type="Submit" name="setup_check" value="  Save Configuration  ">
</TD></TR></TABLE>
</CENTER>
</FORM>
EOF
&Footer;
exit;
}

sub setup_check {

unless (($access_level =~ /ALL ACCESS/)) { &unauth; }
if ($INPUT{'username'} eq "demo") { &unauth; }

$INPUT{'setup_url_to_cgi'} =~ s/\/$//;
$INPUT{'setup_url_to_icons'} =~ s/\/$//;
$INPUT{'setup_url'} =~ s/\/$//;
$INPUT{'setup_free_name'} =~ s/\'/\\\'/gi;
$INPUT{'setup_email_name'} =~ s/\'/\\\'/gi;

if ($passwords) {
	$password = $INPUT{'password'};
	foreach $user(@admin_users) {
		chomp($user);
		@user_data=split(/\|/,$user);
		if ($INPUT{'username'} eq $user_data[0]) {
			$newpassword = crypt($INPUT{'password'},$user_data[1]);
			unless ($newpassword eq $user_data[1]) {
				$wrong_password=1;
				&error("Incorrect Password");
				next;
			}
		}
		
	}

}
else {&cy;}

unless ($INPUT{'setup_free_name'}) {
	$error .= "Step 2 ";
	$error_2 = "<font color=red><B>You must enter a name for your Home Free program. You can always change it later</B></FONT><BR><BR>";
}

unless ($INPUT{'setup_email'} =~ /.*\@.*\..*/) {
	$error .= "Step 3 ";
	$error_3 = "<font color=red><B>Problems have been detected with the email address you entered, please check it</B></FONT><BR><BR>";
}
unless ($INPUT{'setup_email_name'}) {
	$error .= "Step 3 ";
	$error_3 .= "<font color=red><B>You must enter your Name or Nickname in the box provided</B></FONT><BR><BR>";
}
unless ($INPUT{'setup_path'}) {
	$error .= "Step 4 ";
	$error_4 = "<font color=red><B>You must enter a path to your data dir</B><BR><BR></FONT>";
}
unless ($INPUT{'setup_free_path'}) {
	$error .= "Step 5 ";
	$error_5 = "<font color=red><B>You must enter a path to where you want your users mime-attachments stored</B><BR><BR></FONT>";
}

unless ( $error_4 || (-e "$INPUT{'setup_path'}")) {
	$error .= "Step 4 ";
	$error_4 = "<font color=red><B>The path you entered does not correspond to an actually dir that exists</B><BR><BR></FONT>";
}
unless ( $error_5 || (-e "$INPUT{'setup_free_path'}")) {
	$error .= "Step 5 ";
	$error_5 = "<font color=red><B>The path you entered does not correspond to an actually dir that exsists</B><BR><BR></FONT>";
}
unless ( $error_4) {
	open (DAT,">$INPUT{'setup_path'}/test.html") || ($error_4 = "$!");
	print DAT "This is just a test, you can delete me";
	close (DAT);	
	unlink("$INPUT{'setup_path'}/test.html");
	if ($error_4) {
		$error_4 = "<font color=red><B>There was an error in the path you want the data stored: <font color=black>$error_4</font>, if the error was <font color=black>Pemission Denied</font> then you must make the dir readable and writable by chmoding it 777. Please do this now.</B><BR><BR></FONT>";
		$error .= "Step 4 ";
	}
}
unless ( $error_5) {
	open (DAT,">$INPUT{'setup_free_path'}/test.html") || ($error_5 = "$!");
	print DAT "This is just a test, you can delete me";
	close (DAT);
	unlink("$INPUT{'setup_free_path'}/test.html");
	if ($error_5) {
		$error_5 = "<font color=red><B>There was an error in the path you want the mime-attachments to be stored: <font color=black>$error_5</font>, if the error was <font color=black>Pemission Denied</font> then you must make the dir readable and writable by chmoding it 777. Please do this now.</B><BR><BR></FONT>";
		$error .= "Step 5 ";
	}
}
unless ($INPUT{'setup_url_to_cgi'}) {
	$error .= "Step 6 ";
	$error_6 = "<font color=red><B>You must enter a url for to where your cgi files are located.</B><BR><BR></FONT>";
}
unless ($INPUT{'setup_url'}) {
	$error .= "Step 7 ";
	$error_7 = "<font color=red><B>You must enter a url for to where users mime-attachments are going to be stored.</B><BR><BR></FONT>";
}
unless ($INPUT{'setup_url_to_icons'}) {
	$error .= "Step 8 ";
	$error_8 = "<font color=red><B>You must enter a url for to where your Home Free images are or will be.</B><BR><BR></FONT>";
}
unless ($INPUT{'setup_mail_prog'}) {
	$error .= "Step 9 ";
	$error_9 = "<font color=red><B>You must enter a path for your mail program.</B></FONT><BR><BR>";
}

if ($error) {
	$free_name = $INPUT{'setup_free_name'};
	$path = $INPUT{'setup_path'};
	$free_path = $INPUT{'setup_free_path'};
	$url_to_cgi = $INPUT{'setup_url_to_cgi'};
	$url_to_icons = $INPUT{'setup_url_to_icons'};
	$url = $INPUT{'setup_url'};
	$your_email = $INPUT{'setup_email'};
	$your_name = $INPUT{'setup_email_name'};
	$mail_prog = $INPUT{'setup_mail_prog'};
	&Header(0); 
	&setup;
	exit;
}
else {
	$INPUT{'setup_email'} =~ s/\@/\\\@/ig;
	open (VARIABLES, "$vari") || &error("Can not read $vari");
	@variables = <VARIABLES>;
	close (VARIABLES);

	$variables[1] = "\$free_name \= \'$INPUT{'setup_free_name'}\'\;\n";
	$variables[2] = "\$path \= \'$INPUT{'setup_path'}\'\;\n";
	$variables[3] = "\$free_path \= \'$INPUT{'setup_free_path'}\'\;\n";

	$variables[5] = "\$url \= \'$INPUT{'setup_url'}\'\;\n";
	$variables[6] = "\$url_to_icons \= \'$INPUT{'setup_url_to_icons'}\'\;\n";
	$variables[7] = "\$url_to_cgi \= \'$INPUT{'setup_url_to_cgi'}\'\;\n";
	$variables[8] = "\$your_email \= \"$INPUT{'setup_email'}\"\;\n";
	$variables[9] = "\$mail_prog \= \'$INPUT{'setup_mail_prog'}\'\;\n";		
	$variables[89] = "\$your_name \= \'$INPUT{'setup_email_name'}\'\;\n";

	foreach $line(@variables) {
		$line =~ s/1;\n//gi;
	}
	
	open (VARIABLES, ">$vari") || &error("Can not write to $vari");
	$vari_top=125;
	$v=0;
	while ($v < $vari_top) {
		if ($variables[$v]) {
			print VARIABLES "$variables[$v]";
		}
		else {
			print VARIABLES "\n";
		}
		$v++;
	}
	print VARIABLES "1;\n";
	close (VARIABLES);

	unless ($password) {
		$newpassword = crypt($INPUT{'password'}, ai);
		$admin_password = $newpassword;
	
		open (VARIABLES, ">$INPUT{'setup_path'}/pwd.txt") || &error("Error writing pwd.txt");
		print VARIABLES "$INPUT{'username'}|$newpassword|||ALL ACCESS|\n";
		close (VARIABLES);	
	}
}

unless($p_header) { 
	print "Content-type: text/html\n\n";
	$p_header=1;
}

&print_login("Set-up Complete, please log in now");
exit;
}


# Version/Other: 3.26
# Licensed to: Robert R FLower
# Downloaded on: 8/21/00, 9:11 p.m.
# IP Address: 24.64.143.114
# Session: JvNsWNqK

